<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('social.facebook', 'https://web.facebook.com/yadie.aza.188');
        $this->migrator->add('social.instagram', null);
        $this->migrator->add('social.twitter', null);
        $this->migrator->add('social.youtube', null);
        $this->migrator->add('social.tiktok', 'https://www.tiktok.com/@yadiparfum_');
        $this->migrator->add('social.whatsapp', 'https://wa.me/6283816931711');
        $this->migrator->add('social.telegram', null);
    }

    public function down(): void
    {
        $this->migrator->deleteIfExists('social');
    }
};
